* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial;
}

body {
    background: #f4f6f8;
}

.container {
    width: 900px;
    margin: 40px auto;
}

/* LOGO */
.logo-img {
    text-align: center;
    margin-bottom: 20px;
}

.logo-img img {
    width: 120px;
}

/* TITLE */
h1 {
    text-align: center;
    color: #2aa198;
    margin-bottom: 10px;
}

.desc {
    text-align: center;
    color: #666;
    font-size: 14px;
    margin-bottom: 30px;
}

/* CARD */
.card {
    background: #b2dfdb;
    padding: 20px;
    border-radius: 10px;
    margin-bottom: 20px;
}

/* QUESTION TITLE */
.question-title {
    font-weight: bold;
    margin-bottom: 15px;
}

.question-title span {
    background: #009688;
    color: white;
    padding: 4px 10px;
    border-radius: 6px;
    margin-right: 10px;
}

/* OPTIONS */
.options {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.options label {
    background: white;
    padding: 12px;
    border-radius: 8px;
    cursor: pointer;
    border: 2px solid transparent;
    display: flex;
    align-items: center;
    gap: 10px;
}

.options input {
    accent-color: #009688;
}

.options label:hover {
    border: 2px solid #009688;
}

/* BOTTOM */
.bottom {
    display: flex;
    justify-content: space-between;
    align-items: center; 
    margin-top: 30px;
}

/* PROGRESS */
.progress-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
    flex: 1; 
}

.progress-box {
    width: 70%;
}

.progress-box span {
    font-size: 12px;
    color: #666;
}

.progress-container {
    flex: 1; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-right: 20px;
}

.progress-bar {
    width: 100%; 
    height: 8px;
    background: #e5e7eb;
    border-radius: 10px;
    overflow: hidden;
}

.progress-fill {
    height: 100%;
    width: 0%;
    background: linear-gradient(90deg, #1f9d94, #4f46e5);
    transition: width 0.4s ease;
}

#progressText {
    display: block;
    margin-top: 12px;
    font-size: 16px;
    font-weight: 600; 
    color: #374151; 
}

/* BUTTON */
.submit-btn {
    background: #009688;
    color: white;
    border: none;
    padding: 12px 20px;
    border-radius: 8px;
    cursor: pointer;
    top: -10px;
    position: relative;
}

.submit-btn:hover {
    background: #00796b;
}